Get consolidated trades
curl --request GET \
--url https://api.sx.bet/trades/consolidated{
"status": "success",
"data": {
"trades": [
{
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"tradeStatus": "SUCCESS",
"bettor": "0x97EC1C9682F70091efB04e97b0B34698cF815EE1",
"totalStake": "34.32",
"totalBetTimeValue": "34.32",
"weightedAverageOdds": "56125000449719554886",
"netReturn": "61.14922",
"netReturnBetTimeValue": 61.14922,
"marketHash": "0xd9f2178b498227143d86b7d62cf82a7b8c56c5df3586d279949a3ea5e3eb1f6b",
"maker": false,
"settled": false,
"fillHash": "0x108723368a33e52789dc96f21f4542fb29e72903b6d130d78e5ff041c770d296",
"gameLabel": "Liverpool vs Galatasaray SK",
"bettingOutcome": 2,
"sportXeventId": "L18240954",
"gameTime": "2026-03-18T20:00:00.000Z",
"leagueLabel": "Champions League_UEFA",
"sportId": 5,
"bettingOutcomeLabel": "Galatasaray SK +2",
"betTime": 1773240290,
"fillOrderHash": "0xc45631446e945a59b7282ca13b4604933692796ac254c3045985cfb425f70e86",
"totalReturn": "61.14922",
"crosschainNetReturn": "0",
"chainVersion": "SXR",
"marketHasRefunds": false,
"marketType": 3
}
],
"count": 4161
}
}Trades
Consolidated trades
Get consolidated trade history with pagination on the SX Bet exchange.
GET
/
trades
/
consolidated
Get consolidated trades
curl --request GET \
--url https://api.sx.bet/trades/consolidated{
"status": "success",
"data": {
"trades": [
{
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"tradeStatus": "SUCCESS",
"bettor": "0x97EC1C9682F70091efB04e97b0B34698cF815EE1",
"totalStake": "34.32",
"totalBetTimeValue": "34.32",
"weightedAverageOdds": "56125000449719554886",
"netReturn": "61.14922",
"netReturnBetTimeValue": 61.14922,
"marketHash": "0xd9f2178b498227143d86b7d62cf82a7b8c56c5df3586d279949a3ea5e3eb1f6b",
"maker": false,
"settled": false,
"fillHash": "0x108723368a33e52789dc96f21f4542fb29e72903b6d130d78e5ff041c770d296",
"gameLabel": "Liverpool vs Galatasaray SK",
"bettingOutcome": 2,
"sportXeventId": "L18240954",
"gameTime": "2026-03-18T20:00:00.000Z",
"leagueLabel": "Champions League_UEFA",
"sportId": 5,
"bettingOutcomeLabel": "Galatasaray SK +2",
"betTime": 1773240290,
"fillOrderHash": "0xc45631446e945a59b7282ca13b4604933692796ac254c3045985cfb425f70e86",
"totalReturn": "61.14922",
"crosschainNetReturn": "0",
"chainVersion": "SXR",
"marketHasRefunds": false,
"marketType": 3
}
],
"count": 4161
}
}Rate limit: All
GET /trades/* endpoints share a combined limit of 200 requests/min. See Rate Limits.Query Parameters
Only get trades placed by this bettor
If true only get settled trades
Page number for pagination
Amount of records to fetch per page
Which field to sort by
Available options:
totalStake, totalBetTimeValue, weightedAverageOdds, netReturn, netReturnBetTimeValue, settleNetReturnValue, outcome, gameLabel, bettingOutcome, gameTime, leagueLabel, bettingOutcomeLabel, betTime, settleDate, totalReturn If true, sorts in ascending order
If true, only gets trades where the bettor was a market maker
Only gets trades for this event ID
Filter trades to see only those with SUCCESS or FAILED status
Only get trades for this market hash
If true, omits the synthetic parent consolidated trades of quarter-line bets, leaving only the underlying leg entries.
If true, omits the leg consolidated trades of quarter-line bets, leaving only the parent entries. Recommended for user-facing P&L views.
Last modified on April 14, 2026
⌘I
